Skip to main content
PUT
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
ad_campaigns
Update campaign ad campaigns
curl --request PUT \
  --url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ad_campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ad_campaigns": [
    {
      "source_ad_account_id": "<string>",
      "source_campaign_id": "<string>"
    }
  ]
}
'
[
  {
    "source_ad_account_id": "<string>",
    "source_campaign_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer<int32>
required

The Dash Social assigned ID of the brand.

campaign_id
integer
required

The ID of the campaign object.

Required range: x >= 0

Body

application/json
ad_campaigns
object[]
required

A list of ad campaigns to update.

Response

OK

source
enum<string>
required
Available options:
META_ADS,
TIKTOK_ADS
source_ad_account_id
string
required
source_campaign_id
string
required